"use strict";
const tokens = require('./tokens/js/tokens');
/**
 * Tailwind requires the values:
 *{
 *  "boxShadow": {
 *    "level-1": "value",
 *    "level-2": "...",
 *     ....
 *   },
 *  "colors": {
 *    ...
 *  },
 *  ....
 * }
 */
const flattenValue = (obj) => {
    const result = {};
    if (obj === null || obj === undefined)
        return result;
    Object.keys(obj).forEach((key) => {
        const hasValueKey = Boolean(obj[key].value);
        if (hasValueKey) {
            result[key] = obj[key].value;
        }
        else {
            result[key] = flattenValue(obj[key]);
        }
    });
    return result;
};
module.exports = {
    prefix: 'kmeleon',
    theme: {
        borderRadius: flattenValue(tokens.radius),
        spacing: flattenValue(tokens.spacings),
        fontFamily: {
            sans: ['"Lato"'],
        },
    },
    // Enable only necessary plugins
    // https://tailwindcss.com/docs/configuration#core-plugins
    plugins: [],
};
//# sourceMappingURL=tailwind.config.js.map